Users

User management and invitations

Get user profile

get

Retrieve information about the authenticated user. This endpoint is only available with user-scoped authentication.

Authorizations
AuthorizationstringRequired

OAuth2 Bearer token obtained from authentication endpoint

Responses
chevron-right
200

User profile details

application/json
idinteger · int64Required

User ID

Example: 101
namestringOptional

User name

Example: John Doe
emailstring · emailRequired

User email

Example: [email protected]
titlestringOptional

User title

Example: Senior Engineer
nickNamestringOptional

User nickname

Example: Johnny
phoneNumberstringOptional

User phone number

Example: +11234567890
orgIdinteger · int32Required

Organization ID, that the user belongs to

Example: 101
orgNamestringOptional

Organization name

Example: Acme Corp
tzstringOptional

User timezone in the IANA Time Zone Database (TZDB) format.

Example: Europe/Kyiv
localestringOptional

User locale.

Example: en_US
statusstring · enumRequired

User status

Possible values:
lastModifiedTsinteger · int64Required

Timestamp, indicating the time, when the user was modified last time (Unix epoch milliseconds)

Example: 1707244800000
lastLoggedAtinteger · int64Optional

Timestamp, when the user has logged in last time (Unix epoch milliseconds)

Example: 1707244800000
registeredAtinteger · int64Required

Timestamp, when the user has registered (Unix epoch milliseconds)

Example: 1707244800000
isDevbooleanRequired

Whether the user has enabled the developer mode

Example: true
isDarkModebooleanRequired

Whether the user has enabled dark mode

Example: false
get
/api/v1/organization/user/profile

Get users in organization

get

Retrieve a paginated list of users in the organization, associated with the authentication token.

Required permissions, when user-scoped authentication is used: ORG_VIEW_USERS.

Authorizations
AuthorizationstringRequired

OAuth2 Bearer token obtained from authentication endpoint

Query parameters
includeSubOrgUsersbooleanOptional

Include users from sub-organizations

Default: false
pageinteger · int32Optional

Page number (0-indexed)

Default: 0
sizeinteger · int32 · min: 1 · max: 1000Optional

Page size (max 1000)

Default: 50
Responses
chevron-right
200

List of users

application/json
totalElementsinteger · int64OptionalExample: 1
get
/api/v1/organization/users

Search users

get

Search for users by the provided query.

Required permissions, when user-scoped authentication is used: ORG_VIEW_USERS.

Authorizations
AuthorizationstringRequired

OAuth2 Bearer token obtained from authentication endpoint

Query parameters
querystring · max: 255Required

Search query string

sortBystringOptional

Field to sort by

sortOrderstring · enumOptional

Sort order

Default: ASCPossible values:
pageinteger · int32Optional

Page number (0-indexed)

Default: 0
sizeinteger · int32 · min: 1 · max: 1000Optional

Page size (max 1000)

Default: 50
Responses
chevron-right
200

Search results

application/json
totalElementsinteger · int64Required

Total amount of users, available to fetch.

Example: 1
get
/api/v1/organization/search/users

Get user by ID

get

Retrieve detailed information about a specific user.

Required permissions, when user-scoped authentication is used: ORG_VIEW_USERS.

Authorizations
AuthorizationstringRequired

OAuth2 Bearer token obtained from authentication endpoint

Query parameters
userIdinteger · int64Required

User ID

Responses
chevron-right
200

User details

application/json
get
/api/v1/organization/user

Create a new user in personal organization

post

Create a personal organization and a new user in it.

If there is already an existing user with the provided email, API will return 200 OK response with the existing user details.

Required permissions, when user-scoped authentication is used: ORG_INVITE_USERS.

Authorizations
AuthorizationstringRequired

OAuth2 Bearer token obtained from authentication endpoint

Body
emailstring · emailRequired

User email

Example: [email protected]
passwordstring · password · max: 200Required

User password

Example: mySecretPassword123
namestring · max: 50Optional

User's full name. Can only contain letters, hyphens, spaces, dots and apostrophes.

Example: John Doe
titlestring · max: 50Optional

User's title or position. Can only contain letters, hyphens and spaces.

Example: Sales Manager
nickNamestring · max: 50Optional

User's nickname. Can only contain letters, digits, hyphens and spaces.

Example: johnd
phoneNumberstringOptional

User's phone number

Example: +1234567890
organizationNamestring · min: 3 · max: 100Optional

Name of the personal organization to create. If not specified, the organization will be created with the default name. Can only contain letters, digits, spaces, dots, hyphens and apostrophes.

Example: John's Personal Org
tzstring · max: 200Optional

User's time zone

Example: America/New_York
Responses
chevron-right
200

User with the provided email already exists

application/json
post
/api/v1/organization/users/create

Create user in organization

post

Create a new user account in the existing organization.

The specified roleId must be a valid role in the target organization.

Required permissions, when user-scoped authentication is used: ORG_INVITE_USERS.

Authorizations
AuthorizationstringRequired

OAuth2 Bearer token obtained from authentication endpoint

Body
emailstring · emailRequired

User email

Example: [email protected]
passwordstring · password · max: 200Required

User password

Example: mySecretPassword123
namestring · max: 50Optional

User's full name. Can only contain letters, hyphens, spaces, dots and apostrophes.

Example: John Doe
titlestring · max: 50Optional

User's title or position. Can only contain letters, hyphens and spaces.

Example: Sales Manager
nickNamestring · max: 50Optional

User's nickname. Can only contain letters, digits, hyphens and spaces.

Example: johnd
phoneNumberstringOptional

User's phone number

Example: +1234567890
tzstring · max: 200Optional

User's time zone

Example: America/New_York
orgIdinteger · int32Required

Organization ID to create user in.

Example: 101
roleIdinteger · int32Required

Role ID to assign to the user.

Example: 1
Responses
post
/api/v1/organization/users/create-in-org

Update user role

put

Update the role of a user in the organization.

When user-scoped authentication is used, the following validations apply:

  1. The authenticated user cannot modify their own role

  2. The authenticated user cannot assign a role with higher permissions than their own

  3. The authenticated user cannot change the role of a user with higher permissions than their own

Required permissions, when user-scoped authentication is used: ORG_VIEW_USERS, ORG_EDIT_USERS.

Authorizations
AuthorizationstringRequired

OAuth2 Bearer token obtained from authentication endpoint

Query parameters
userIdinteger · int64Required

User ID

roleIdinteger · int32Required

Role ID to assign

Responses
chevron-right
200

User role updated successfully

application/json
put
/api/v1/organization/users/role

Invite user to organization

post

Send an invitation to a user to join the organization.

Required permissions, when user-scoped authentication is used: ORG_INVITE_USERS.

Authorizations
AuthorizationstringRequired

OAuth2 Bearer token obtained from authentication endpoint

Body
emailstring · emailRequiredExample: [email protected]
namestring · min: 1 · max: 100Required

User's full name. Cannot contain slashes, backslashes, < or >.

Example: John Doe
roleIdinteger · int32Required

Role ID to assign to the user upon accepting the invitation

Example: 1
orgIdinteger · int32Optional

Organization ID. If not provided, the organization associated with the authentication token will be used.

Example: 101
localestringOptional

User's locale

Example: en_US
Responses
post
/api/v1/organization/users/invite

Register user

post

Create a new personal organization and send user invitation for registration.

User-scoped authentication is not allowed for this endpoint.

Authorizations
AuthorizationstringRequired

OAuth2 Bearer token obtained from authentication endpoint

Body
emailstring · emailRequired

User email

Example: [email protected]
localestringOptional

User's locale

Example: en_US
Responses
post
/api/v1/organization/users/register

Transfer user to another organization

post

Transfer a user to a different organization.

The following constraints apply:

  • Users in Pending status cannot be transferred

  • Cannot transfer a user to the same organization they are already in

  • The destination organization must not exceed its user limit

Required permissions, when user-scoped authentication is used: ORG_VIEW_USERS, TRANSFER_USER.

Authorizations
AuthorizationstringRequired

OAuth2 Bearer token obtained from authentication endpoint

Body
userIdinteger · int64Required

User ID

Example: 101
targetOrgIdinteger · int32Required

Target organization ID

Example: 101
roleIdinteger · int32 · min: 1Required

Role ID to assign to the user in the target organization

Example: 1
Responses
chevron-right
200

User transferred successfully

application/json
post
/api/v1/organization/users/transfer

Send push notification to user

post

Send a push notification to a user's mobile devices.

This endpoint is available only when organization-scoped authentication is used.

Authorizations
AuthorizationstringRequired

OAuth2 Bearer token obtained from authentication endpoint

Body
userIdinteger · int64Required

User ID

Example: 101
titlestring · max: 50Required

Notification title

Example: Device Alert
bodystring · max: 255Optional

Notification message body

Example: Your device temperature is too high!
imageUrlstring · max: 1024Optional

URL of the image to display in the notification (optional)

Example: https://example.com/alert.png
Responses
post
/api/v1/organization/users/send-push-notification

No content

Last updated

Was this helpful?